Bug 303381 - Sense of 'Collate' check-box is backwards
Sense of 'Collate' check-box is backwards
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
Depends On: 303371
  Show dependency treegraph
Reported: 2007-09-24 11:50 EDT by Tim Waugh
Modified: 2009-01-09 02:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 02:16:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2007-09-24 11:50:12 EDT
+++ This bug was initially created as a clone of Bug #303371 +++

Description of problem:
The sense of the 'Collate' check-box in the print dialog is backwards.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Create a three page document in OpenOffice.org Writer
2.Export to a PDF, call it test.pdf
3.Open PDF in Evince
5.Select a duplex-capable printer
6.Focus on the Page Setup tab
7.For Two-Sided select Long Edge (Standard)
8.Focus on the General tab
9.Select 2 copies
10.Make the 'Collate' check-box selected
11.(Note the diagram next to that box showing, correctly, that we expect 1-2 1-2
output instead of 1-1 2-2)
12.Click Print

Actual results:
Three sheets of paper end up in the output tray, 1-1 2-2 3-3

Expected results:
Four sheets of paper end up in the output tray, 1-2 3-blank 1-2 3-blank

Additional info:
This worked correctly in Fedora Core 6 with 0.6.0-6.fc6.
Comment 1 Matthias Clasen 2007-09-24 14:01:45 EDT
I did a quick check with a simple gtkprint test app, and it gets the collation
right, at least when printing to file. So I guess that this is probably an
evince issue.
Comment 2 Bug Zapper 2008-04-04 09:53:57 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Tim Waugh 2008-04-04 11:06:03 EDT
This still does not work correctly in Fedora 8 or rawhide, but the symptom (in
both) is now different: instead of getting two copies of anything, only one copy
is printed.

Actual results:   1-2 3-blank
Expected results: 1-2 3-blank 1-2 3-blank
Comment 4 Zachary Napora 2008-04-22 14:25:49 EDT
*** Bug 303371 has been marked as a duplicate of this bug. ***
Comment 5 Tim Waugh 2008-04-30 12:20:26 EDT
This seems to be fixed in rawhide with evince-
Comment 6 Tim Waugh 2008-05-01 12:34:58 EDT
Fixing version.

This is still broken with Fedora 8, as described in comment #3.  Tested:
evince-2.20.2-1.fc8, gtk2-2.12.5-1.fc8.
Comment 7 Bug Zapper 2008-11-26 02:50:49 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 8 Bug Zapper 2009-01-09 02:16:33 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.